  !echo Adding table definition for table callcat

  CREATE TABLE "callcat" (
     CONFIGURATION ( DESCRIPTION IS 'Call Categories',
                     ESTIMATED COUNT IS       2000 ) ,
  "cc_num" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "cc_date" DATE  ,
  "cc_time" TIME  ,
  "cc_name" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table cirinfo

  CREATE TABLE "cirinfo" (
     CONFIGURATION ( DESCRIPTION IS 'Circuit Information',
                     ESTIMATED COUNT IS       1000 ) ,
  "ci_crcid" CHAR (        24 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         24 )) ,
  "ci_phone" CHAR (        14 )
          CONFIGURATION (DISPLAY (         14 )) ,
  "ci_loc" CHAR (        70 )
          CONFIGURATION (DISPLAY (         70 )) ,
  "ci_ord" NUMERIC (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "ci_type" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "ci_speed" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "ci_end_a" CHAR (        12 )
          CONFIGURATION (DISPLAY (         12 )) ,
  "ci_a_par" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "ci_a_cb" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "ci_end_b" CHAR (        12 )
          CONFIGURATION (DISPLAY (         12 )) ,
  "ci_b_par" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "ci_b_cb" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "ci_tn" NUMERIC (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "ci_membr" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "ci_accss" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ci_nomtx" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "ci_nomrx" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "ci_route" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "ci_mname" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "ci_chan" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "ci_vendo" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ci_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "ci_org" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table contact

  CREATE TABLE "contact" (
     CONFIGURATION ( DESCRIPTION IS 'Problem Contacts',
                     ESTIMATED COUNT IS        200 ) ,
  "ct_appl" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ct_name" CHAR (        50 )
          CONFIGURATION (DISPLAY (         50 )) ,
  "ct_phone" CHAR (        12 )
          CONFIGURATION (DISPLAY (         12 )) ,
  "ct_comm1" CHAR (        80 )
          CONFIGURATION (DISPLAY (         80 )) ,
  "ct_desc" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "ct_ware" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table cronmail

  CREATE TABLE "cronmail" (
     CONFIGURATION ( DESCRIPTION IS 'Automatic Mail',
                     ESTIMATED COUNT IS        500 ) ,
  "cm_id" NUMERIC (          4 ) NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          4 )) ,
  "cm_send" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "cm_recv" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "cm_today" DATE  ,
  "cm_body1" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "cm_body2" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "cm_body3" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "cm_month" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "cm_day" CHAR (        80 )
          CONFIGURATION (DISPLAY (         80 )) ,
  "cm_daywk" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "cm_year" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "cm_subj" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table crosscon

  CREATE TABLE "crosscon" (
     CONFIGURATION ( DESCRIPTION IS 'DSX Crossconnect',
                     ESTIMATED COUNT IS       1000 ) ,
  "cr_cirid" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "cr_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "cr_xpanl" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "cr_ctype" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "cr_xside" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "cr_xjack" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "cr_ypanl" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "cr_yside" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "cr_yjack" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table dsxjack

  CREATE TABLE "dsxjack" (
     CONFIGURATION ( DESCRIPTION IS 'DSX Jacks',
                     ESTIMATED COUNT IS      11200 ) ,
  "dj_side" CHAR (         1 )  NOT NULL
          CONFIGURATION (DISPLAY (          1 )) ,
  "dj_jackn" NUMERIC (          2 ) NOT NULL
          CONFIGURATION (DISPLAY (          2 )) ,
  "dj_panel" CHAR (        16 )  NOT NULL
          CONFIGURATION (DISPLAY (         16 )) ,
  "dj_cirid" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "dj_ename" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "dj_ccid" NUMERIC (         6 )
          CONFIGURATION (DISPLAY (          6 )) ,
  "dj_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "dj_taken" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  PRIMARY KEY ("dj_side","dj_jackn","dj_panel" )
  );
  COMMIT WORK;


  !echo Adding table definition for table dsxpanel

  CREATE TABLE "dsxpanel" (
     CONFIGURATION ( DESCRIPTION IS 'DSX Panels',
                     ESTIMATED COUNT IS        200 ) ,
  "dp_panel" CHAR (        16 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         16 )) ,
  "dp_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "dp_loc" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "dp_ptype" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "dp_njcka" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "dp_njckb" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table ecode

  CREATE TABLE "ecode" (
     CONFIGURATION ( DESCRIPTION IS 'Escalation Codes',
                     ESTIMATED COUNT IS         20 ) ,
  "ec_num" NUMERIC (          4 ) NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          4 )) ,
  "ec_hours" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ec_days" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table employee

  CREATE TABLE "employee" (
     CONFIGURATION ( DESCRIPTION IS 'Employees & Net Addresses',
                     ESTIMATED COUNT IS        100 ) ,
  "em_initial" CHAR (         3 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          3 )) ,
  "em_emp_name" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "em_net_address" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "em_phone" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "em_login" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table forms

  CREATE TABLE "forms" (
     CONFIGURATION ( DESCRIPTION IS 'HDMS Forms',
                     ESTIMATED COUNT IS        100 ) ,
  "fm_name" CHAR (        13 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         13 )) ,
  "fm_num" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "fm_desc" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table hdcalls

  CREATE TABLE "hdcalls" (
     CONFIGURATION ( DESCRIPTION IS 'Helpdesk Calls',
                     ESTIMATED COUNT IS       7000 ) ,
  "ca_date" DATE NOT NULL PRIMARY KEY  ,
  "ca_total" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_dir" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_seq" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_abd" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_avg" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_tna" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "ca_name" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table hdtype

  CREATE TABLE "hdtype" (
     CONFIGURATION ( DESCRIPTION IS 'Hard Disk types/Sizes',
                     ESTIMATED COUNT IS        100 ) ,
  "hd_type" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "hd_size" NUMERIC (         6 )
          CONFIGURATION (DISPLAY (          6 )) ,
  "hd_make" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "hd_comm" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table holiday

  CREATE TABLE "holiday" (
     CONFIGURATION ( DESCRIPTION IS 'Company Holidays',
                     ESTIMATED COUNT IS        500 ) ,
  "ho_date" DATE NOT NULL PRIMARY KEY  ,
  "ho_desc" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table lancard

  CREATE TABLE "lancard" (
     CONFIGURATION ( DESCRIPTION IS 'LAN Card Addresses',
                     ESTIMATED COUNT IS       1000 ) ,
  "ln_ether" CHAR (        12 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         12 )) ,
  "ln_tcpip" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ln_sbnet" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "ln_node" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "ln_mmac" CHAR (        12 )
          CONFIGURATION (DISPLAY (         12 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table log

  CREATE TABLE "log" (
     CONFIGURATION ( DESCRIPTION IS 'Error Logs',
                     ESTIMATED COUNT IS      40000 ) ,
  "lo_key" NUMERIC (         9 ) NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          9 )) ,
  "lo_appl" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "lo_date" DATE  ,
  "lo_time" CHAR (         9 )
          CONFIGURATION (DISPLAY (          9 )) ,
  "lo_messg" CHAR (       133 )
          CONFIGURATION (DISPLAY (        133 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table logcon

  CREATE TABLE "logcon" (
     CONFIGURATION ( DESCRIPTION IS 'Logical Connection',
                     ESTIMATED COUNT IS        500 ) ,
  "lc_id" CHAR (        20 )  NOT NULL
          CONFIGURATION (DISPLAY (         20 )) ,
  "lc_port" NUMERIC (          2 ) NOT NULL
          CONFIGURATION (DISPLAY (          2 )) ,
  "lc_fixed" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "lc_srpar" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "lc_comm" CHAR (        14 )
          CONFIGURATION (DISPLAY (         14 )) ,
  "lc_conn" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  PRIMARY KEY ("lc_id","lc_port" )
  );
  COMMIT WORK;


  !echo Adding table definition for table mastcir

  CREATE TABLE "mastcir" (
     CONFIGURATION ( DESCRIPTION IS 'Master Circuit',
                     ESTIMATED COUNT IS        500 ) ,
  "mc_name" CHAR (        20 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         20 )) ,
  "mc_type" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "mc_desc1" CHAR (        70 )
          CONFIGURATION (DISPLAY (         70 )) ,
  "mc_desc2" CHAR (        70 )
          CONFIGURATION (DISPLAY (         70 )) ,
  "mc_desc3" CHAR (        70 )
          CONFIGURATION (DISPLAY (         70 )) ,
  "mc_next" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "mc_org" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table netsupp

  CREATE TABLE "netsupp" (
     CONFIGURATION ( DESCRIPTION IS 'Net Supply Database',
                     ESTIMATED COUNT IS        400 ) ,
  "su_pno" CHAR (        10 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         10 )) ,
  "su_pname" CHAR (        50 )
          CONFIGURATION (DISPLAY (         50 )) ,
  "su_unit" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "su_bin" CHAR (        18 )
          CONFIGURATION (DISPLAY (         18 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table nextnum

  CREATE TABLE "nextnum" (
     CONFIGURATION ( DESCRIPTION IS 'Next Number',
                     ESTIMATED COUNT IS         20 ) ,
  "nxt_field_name" CHAR (        15 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         15 )) ,
  "nxt_num" NUMERIC (         5 )
          CONFIGURATION (DISPLAY (          5 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table node

  CREATE TABLE "node" (
     CONFIGURATION ( DESCRIPTION IS 'Node Information',
                     ESTIMATED COUNT IS       3000 ) ,
  "no_ser" CHAR (        24 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         24 )) ,
  "no_id" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "no_group" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_model" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_vendor" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_location" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "no_dept" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_phone" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "no_cost_center" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "no_prt_dest" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_pur_po" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_main_po" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_install_date" DATE  ,
  "no_comment1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "no_comment2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "no_comment3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "no_comment4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "no_trob_prt" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_prob_esc_code" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "no_serv_code" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_floor_jack" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "no_prnum" CHAR (        11 )
          CONFIGURATION (DISPLAY (         11 )) ,
  "no_cc_head" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "no_pri_user" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "no_keyid" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "no_pur_date" DATE  ,
  "no_pur_order" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_vtam_id" CHAR (         4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "no_next_hard" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "no_next_soft" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "no_serv_num" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "no_copro" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "no_hard_disk_ty" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "no_pur_ven" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "no_hard_disk_si" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "no_move_date" DATE  ,
  "no_total_mem" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "no_priority" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "no_task" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "no_lcid" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "no_vps_id" CHAR (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "no_jes_line" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "no_contract" CHAR (         4 )
          CONFIGURATION (DISPLAY (          4 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table parout

  CREATE TABLE "parout" (
     CONFIGURATION ( DESCRIPTION IS 'Parts Out for Repair',
                     ESTIMATED COUNT IS        500 ) ,
  "po_tic" NUMERIC (         5 ) NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          5 )) ,
  "po_stat" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "po_nid" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "po_tagd" DATE  ,
  "po_ven" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "po_ra" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "po_ship" DATE  ,
  "po_div" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "po_req" NUMERIC (         7 )
          CONFIGURATION (DISPLAY (          7 )) ,
  "po_retd" DATE  ,
  "po_po" NUMERIC (         7 )
          CONFIGURATION (DISPLAY (          7 )) ,
  "po_pnam" CHAR (        50 )
          CONFIGURATION (DISPLAY (         50 )) ,
  "po_sn" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "po_fail" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "po_fal2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "po_fix" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "po_fix2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "po_cost" AMOUNT (         8 ,2)
          CONFIGURATION (DISPLAY (         10 ,2)) ,
  "po_prob" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table parts

  CREATE TABLE "parts" (
     CONFIGURATION ( DESCRIPTION IS 'Parts',
                     ESTIMATED COUNT IS       1000 ) ,
  "pa_name" CHAR (        30 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         30 )) ,
  "pa_manf" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "pa_com1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pa_com2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pa_com3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pa_com4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pa_amount" HUGE AMOUNT (        10 ,2)
          CONFIGURATION (DISPLAY (         12 ,2))
  );
  COMMIT WORK;


  !echo Adding table definition for table pchard

  CREATE TABLE "pchard" (
     CONFIGURATION ( DESCRIPTION IS 'PC Hardware Records',
                     ESTIMATED COUNT IS       5010 ) ,
  "ph_node" CHAR (        20 )  NOT NULL
          CONFIGURATION (DISPLAY (         20 )) ,
  "ph_lnum" NUMERIC (          3 ) NOT NULL
          CONFIGURATION (DISPLAY (          3 )) ,
  "ph_ven" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "ph_mod" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ph_sn" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "ph_slot" CHAR (         2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "ph_amount" HUGE AMOUNT (        10 ,2)
          CONFIGURATION (DISPLAY (         12 ,2)) ,
  PRIMARY KEY ("ph_node","ph_lnum" )
  );
  COMMIT WORK;


  !echo Adding table definition for table pcsoft

  CREATE TABLE "pcsoft" (
     CONFIGURATION ( DESCRIPTION IS 'PC Software Records',
                     ESTIMATED COUNT IS       5010 ) ,
  "ps_node" CHAR (        20 )  NOT NULL
          CONFIGURATION (DISPLAY (         20 )) ,
  "ps_lnum" NUMERIC (          3 ) NOT NULL
          CONFIGURATION (DISPLAY (          3 )) ,
  "ps_soft" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ps_ver" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "ps_sn" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ps_vend" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ps_po" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "ps_date" DATE  ,
  "ps_amount" HUGE AMOUNT (        10 ,2)
          CONFIGURATION (DISPLAY (         12 ,2)) ,
  "ps_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "ps_dept" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  PRIMARY KEY ("ps_node","ps_lnum" )
  );
  COMMIT WORK;


  !echo Adding table definition for table phone

  CREATE TABLE "phone" (
     CONFIGURATION ( DESCRIPTION IS 'Corp Phone Direcotry',
                     ESTIMATED COUNT IS       2500 ) ,
  "ph_name" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ph_dept" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "ph_pho1" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "ph_pho2" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table probcode

  CREATE TABLE "probcode" (
     CONFIGURATION ( DESCRIPTION IS 'Problem Reason Codes',
                     ESTIMATED COUNT IS        500 ) ,
  "prc_code" CHAR (         3 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          3 )) ,
  "prc_des" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table problem

  CREATE TABLE "problem" (
     CONFIGURATION ( DESCRIPTION IS 'Problem Reporting',
                     ESTIMATED COUNT IS      10000 ) ,
  "pr_num" NUMERIC (         5 ) NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          5 )) ,
  "pr_stat" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pr_open_date" DATE  ,
  "pr_open_time" TIME  ,
  "pr_close_date" DATE  ,
  "pr_close_time" TIME  ,
  "pr_node" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "pr_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "pr_vendor" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "pr_vendor_code" CHAR (        25 )
          CONFIGURATION (DISPLAY (         25 )) ,
  "pr_prob_esc_code" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "pr_trob_prt" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "pr_pc1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pr_pc2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pr_pc3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pr_pc4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pr_pc5" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pr_next_res" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "pr_phone" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "pr_sn" CHAR (        24 )
          CONFIGURATION (DISPLAY (         24 )) ,
  "pr_vp" CHAR (        16 )
          CONFIGURATION (DISPLAY (         16 )) ,
  "pr_model" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "pr_loc" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "pr_address" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "pr_city_state" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "pr_esc_date" DATE  ,
  "pr_esc_time" TIME  ,
  "pr_contact" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "pr_id" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "pr_prt" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "pr_code" NUMERIC (          4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "pr_major_prob" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pr_changed" NUMERIC (          2 )
          CONFIGURATION (DISPLAY (          2 )) ,
  "pr_resp" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pr_serv" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "pr_crcid" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "pr_corn" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pr_assig" CHAR (         4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  "pr_prio" NUMERIC (          1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pr_old_p" NUMERIC (          1 )
          CONFIGURATION (DISPLAY (          1 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table probres

  CREATE TABLE "probres" (
     CONFIGURATION ( DESCRIPTION IS 'Problem Resolutions',
                     ESTIMATED COUNT IS      20000 ) ,
  "pt_num" NUMERIC (         5 ) NOT NULL
          CONFIGURATION (DISPLAY (          5 )) ,
  "pt_lnum" NUMERIC (          3 ) NOT NULL
          CONFIGURATION (DISPLAY (          3 )) ,
  "pt_pc1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pt_pc2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pt_pc3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pt_pc4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pt_pc5" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "pt_date" DATE  ,
  "pt_tech" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "pt_trob_tick" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "pt_time" TIME  ,
  "pt_assig" CHAR (         4 )
          CONFIGURATION (DISPLAY (          4 )) ,
  PRIMARY KEY ("pt_num","pt_lnum" )
  );
  COMMIT WORK;


  !echo Adding table definition for table proj

  CREATE TABLE "proj" (
     CONFIGURATION ( DESCRIPTION IS 'Projects',
                     ESTIMATED COUNT IS       3500 ) ,
  "pj_name" CHAR (        12 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         12 )) ,
  "pj_stat" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pj_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "pj_start" DATE  ,
  "pj_due" DATE  ,
  "pj_compl" DATE  ,
  "pj_cc" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "pj_reqby" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "pj_tasks" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "pj_desc" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "pj_next_task" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "pj_desc2" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "pj_desc3" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "pj_north" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pj_south" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "pj_us" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table sendprob

  CREATE TABLE "sendprob" (
     CONFIGURATION ( DESCRIPTION IS 'Forwarding Problem',
                     ESTIMATED COUNT IS        500 ) ,
  "sp_prnum" NUMERIC (         5 )
          CONFIGURATION (DISPLAY (          5 )) ,
  "sp_from" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "sp_to" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "sp_date" DATE  ,
  "sp_time" TIME
  );
  COMMIT WORK;


  !echo Adding table definition for table site

  CREATE TABLE "site" (
     CONFIGURATION ( DESCRIPTION IS 'Site Information',
                     ESTIMATED COUNT IS        300 ) ,
  "si_id" CHAR (         8 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          8 )) ,
  "si_address1" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "si_city_state" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "si_comment1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "si_comment2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "si_comment3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "si_comment4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table softvend

  CREATE TABLE "softvend" (
     CONFIGURATION ( DESCRIPTION IS 'Software Vendors',
                     ESTIMATED COUNT IS       2000 ) ,
  "sv_sname" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "sv_ver" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "sv_vend" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "sv_media" CHAR (         9 )
          CONFIGURATION (DISPLAY (          9 )) ,
  "sv_price" AMOUNT (         8 ,2)
          CONFIGURATION (DISPLAY (         10 ,2)) ,
  "sv_part" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table t1circ

  CREATE TABLE "t1circ" (
     CONFIGURATION ( DESCRIPTION IS 'T-1 Circuit',
                     ESTIMATED COUNT IS        250 ) ,
  "t1_cirid" CHAR (        24 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         24 )) ,
  "t1_enda" CHAR (        40 )
          CONFIGURATION (DISPLAY (         40 )) ,
  "t1_endb" CHAR (        40 )
          CONFIGURATION (DISPLAY (         40 )) ,
  "t1_comm" CHAR (        40 )
          CONFIGURATION (DISPLAY (         40 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table task

  CREATE TABLE "task" (
     CONFIGURATION ( DESCRIPTION IS 'Project Tasks',
                     ESTIMATED COUNT IS       5000 ) ,
  "tk_proj" CHAR (        12 )  NOT NULL
          CONFIGURATION (DISPLAY (         12 )) ,
  "tk_taskno" NUMERIC (          3 ) NOT NULL
          CONFIGURATION (DISPLAY (          3 )) ,
  "tk_desc1" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "tk_desc2" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "tk_desc3" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "tk_desc4" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "tk_resp" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "tk_notify" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "tk_due" DATE  ,
  "tk_complete" DATE  ,
  "tk_start" DATE  ,
  "tk_bsr" CHAR (        10 )
          CONFIGURATION (DISPLAY (         10 )) ,
  "tk_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "tk_cc" CHAR (         3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "tk_desc5" CHAR (        60 )
          CONFIGURATION (DISPLAY (         60 )) ,
  "tk_north" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "tk_south" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "tk_us" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "tk_amou" NUMERIC (         6 )
          CONFIGURATION (DISPLAY (          6 )) ,
  "tk_or" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "tk_budgt" CHAR (         1 )
          CONFIGURATION (DISPLAY (          1 )) ,
  "tk_eshrs" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  "tk_achrs" NUMERIC (          3 )
          CONFIGURATION (DISPLAY (          3 )) ,
  PRIMARY KEY ("tk_proj","tk_taskno" )
  );
  COMMIT WORK;


  !echo Adding table definition for table tprt

  CREATE TABLE "tprt" (
     CONFIGURATION ( DESCRIPTION IS 'Trouble Printers',
                     ESTIMATED COUNT IS         20 ) ,
  "tp_name" CHAR (         8 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (          8 )) ,
  "tp_desc" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "tp_tty" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table vcode

  CREATE TABLE "vcode" (
     CONFIGURATION ( DESCRIPTION IS 'Vendor Site Codes',
                     ESTIMATED COUNT IS         50 ) ,
  "vc_num" CHAR (        25 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         25 )) ,
  "vc_site" CHAR (         8 )
          CONFIGURATION (DISPLAY (          8 )) ,
  "vc_vendor" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 ))
  );
  COMMIT WORK;


  !echo Adding table definition for table vendor

  CREATE TABLE "vendor" (
     CONFIGURATION ( DESCRIPTION IS 'Vendor Information',
                     ESTIMATED COUNT IS        300 ) ,
  "ve_id" CHAR (        15 )  NOT NULL PRIMARY KEY
          CONFIGURATION (DISPLAY (         15 )) ,
  "ve_vc1" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc2" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc3" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_phone" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ve_name" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ve_address1" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ve_address2" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ve_city_state" CHAR (        30 )
          CONFIGURATION (DISPLAY (         30 )) ,
  "ve_salesman" CHAR (        20 )
          CONFIGURATION (DISPLAY (         20 )) ,
  "ve_sales_phone" CHAR (        15 )
          CONFIGURATION (DISPLAY (         15 )) ,
  "ve_vc4" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc5" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc6" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc7" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc8" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc9" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_open_po" NUMERIC (         9 )
          CONFIGURATION (DISPLAY (          9 )) ,
  "ve_vc10" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc11" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 )) ,
  "ve_vc12" CHAR (        78 )
          CONFIGURATION (DISPLAY (         78 ))
  );
  COMMIT WORK;




































